com.mockobjects.naming.directory

## Class MockAttributes

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.naming.directory.MockAttributes

All Implemented Interfaces:
  Verifiable, java.io.Serializable, java.lang.Cloneable, javax.naming.directory.Attributes

    public class MockAttributes
    extends MockObject
    implements javax.naming.directory.Attributes

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MockAttributes()`

### Method Summary

Methods
`java.lang.Object` `clone()`
`javax.naming.directory.Attribute` `get(java.lang.String aName)`
`javax.naming.NamingEnumeration` `getAll()`
`javax.naming.NamingEnumeration` `getIDs()`
`boolean` `isCaseIgnored()`
`javax.naming.directory.Attribute` `put(javax.naming.directory.Attribute attribute)`
`javax.naming.directory.Attribute` `put(java.lang.String name, java.lang.Object object)`
`javax.naming.directory.Attribute` `remove(java.lang.String attributeName)`
`void` `setExpectedName(java.lang.String aName)`
`void` `setupAddGet(javax.naming.directory.Attribute attribute)`
`int` `size()`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockAttributes

    public MockAttributes()

### Method Detail

#### isCaseIgnored

    public boolean isCaseIgnored()

Specified by:
  `isCaseIgnored` in interface `javax.naming.directory.Attributes`

#### size

    public int size()

Specified by:
  `size` in interface `javax.naming.directory.Attributes`

#### setupAddGet

    public void setupAddGet(javax.naming.directory.Attribute attribute)

#### setExpectedName

    public void setExpectedName(java.lang.String aName)

#### get

    public javax.naming.directory.Attribute get(java.lang.String aName)

Specified by:
  `get` in interface `javax.naming.directory.Attributes`

#### getAll

    public javax.naming.NamingEnumeration getAll()

Specified by:
  `getAll` in interface `javax.naming.directory.Attributes`

#### getIDs

    public javax.naming.NamingEnumeration getIDs()

Specified by:
  `getIDs` in interface `javax.naming.directory.Attributes`

#### put

    public javax.naming.directory.Attribute put(java.lang.String name,
                                       java.lang.Object object)

Specified by:
  `put` in interface `javax.naming.directory.Attributes`

#### put

    public javax.naming.directory.Attribute put(javax.naming.directory.Attribute attribute)

Specified by:
  `put` in interface `javax.naming.directory.Attributes`

#### remove

    public javax.naming.directory.Attribute remove(java.lang.String attributeName)

Specified by:
  `remove` in interface `javax.naming.directory.Attributes`

#### clone

    public java.lang.Object clone()

Specified by:
  `clone` in interface `javax.naming.directory.Attributes`
Overrides:
  `clone` in class `java.lang.Object`